LINUX.ORG.RU

Вот чтобы таких проблем не было надо прописывать в репозитории вместо имени релиза просто stable

deb http://httpredir.debian.org/debian stable main contrib non-free
deb-src http://httpredir.debian.org/debian stable main contrib non-free

deb http://httpredir.debian.org/debian stable-updates main contrib non-free
deb-src http://httpredir.debian.org/debian stable-updates main contrib non-free

deb http://security.debian.org/ stable/updates main contrib non-free
deb-src http://security.debian.org/ stable/updates main contrib non-free

https://wiki.debian.org/ru/SourcesList

P.S. Скорее всего во время обновления возникнут проблемы с зависимостями пакетов.

Wind ★★ ()

Меняете в /etc/apt/sources.list имя релиза на stable или jessie и apt-get distr-upgrade. Не забывайте про бэкап.

alozovskoy ★★★★★ ()

Если ронять сервер нельзя, то лучше взять другой сервер, поставить на него свежий дебиан и перенести сервисы.
Ну или поставить свежий дебиан в chroot, перенести сервисы и перезагрузиться уже в новый дебиан. Это требует большей ловкости рук, за то не требует лишнего сервера.
Ну или ещё как-то так. distr-update (да ещё и на два релиза) даже в дебиане может пройти с осложнениями, обновлять так ответственный сервера я лично ссу.

А ещё скоро (где-то весной) выходит девятый дебиан, можно расхрабриться и поставить сразу его.

MrClon ★★★★★ ()
Ответ на: комментарий от Wind

Всё-таки переезд с одного релиза на другой это более рискованное дело чем обычное обновление, не хотелось-бы сделать такое случайно, не заметив новый релиз.

MrClon ★★★★★ ()

1. лучше не надо

2. лучше пошагово 6-7-8, с обязательным чтением release notes и ревизии того, что там обновилось

3. как уже сказали, лучше ставить набело, с чистого листа

а вообще, зависит от того, что за сервисы крутятся

buratino ★★★★★ ()

Как-то так:

sed -i /etc/apt/sources.list s/squeeze/wheezy/g
apt-get update && apt-get dist-upgrade
reboot
sed -i /etc/apt/sources.list s/wheezy/jessie/g
apt-get update && apt-get dist-upgrade
reboot
man systemd

redgremlin ★★★★★ ()
Ответ на: комментарий от MrClon

Если в репозитории изначально прописан stable то переход будет штатным, что всяко лучше чем обновляться через несколько релизов.

Wind ★★ ()
Ответ на: комментарий от Wind

Лучше самому ручками изменить дистр в source.list и обновить его через пару месяцев после выхода нового stable (ну или через пять лет, последовательно через каждый релиз) предварительно читая доки по обновлению, делая бекапы и вообще готовясь к возможным осложнениям. Чем в какой-то момент обнаружить что apt-get пытается переустановить полсистемы.

MrClon ★★★★★ ()

для обновления его до последней версии

Тебе очень сильно повезёт если обновление вдруг пройдёт безболезненно, учитывая что помимо всего прочего в восьмёрку засунули другую систему инициализации. Советую перед обновлением сделать полный бекап системы, чтобы в случае возникновения неразрешимых в течении разумного интервала времени проблем имелась возможность разобновить всё обратно.

h578b1bde ★☆ ()
Ответ на: комментарий от MrClon

Чем в какой-то момент обнаружить что apt-get пытается переустановить полсистемы.

Лорчую, сам всегда явно указываю название релиза (squeeze, wheezy, jessie).

h578b1bde ★☆ ()
Ответ на: комментарий от Lavos

Ну как прилетит, так и улетит, к Jessie он гвоздями не прибит.

tiandrey ★★★★★ ()
Ответ на: комментарий от h578b1bde

Тебе очень сильно повезёт если обновление вдруг пройдёт безболезненно

С чего вдруг? Если не перепрыгивать через релиз, а обновлять последовательно, то, с очень высокой степенью вероятности, никаких проблем не будет. В этом и плюс release-based в целом и debian stable в особенности.

учитывая что помимо всего прочего в восьмёрку засунули другую систему инициализации

Во-первых, как опция systemd появился уже в семёрке, в восьмёрке только сделали дефолтом. Во-вторых, именно, что дефолтом, при желании в одну команду можно вернуть sysvinit. В-третьих, большинство косяков (в основном, в кривых инитскриптах) при миграции было пофикшено ещё во время заморозки, плюс, кое-что уже после выхода джесси поправили, так что, на момент выхода, вероятность отсутствия проблем была 99%, а сейчас уже 99.9%.

redgremlin ★★★★★ ()
Последнее исправление: redgremlin (всего исправлений: 1)
Ответ на: комментарий от redgremlin

С чего вдруг?

Действительно, в этой фразе я имел неосторожность неявно положиться на удачу. Не надо так делать, бекап в любом случае нужен.

именно, что дефолтом, при желании в одну команду можно вернуть sysvinit

Если в штабле с дефолтными пакетами, используемыми большинством, вылезают настолько детские баги что лицо разбивается рукой, то я даже представить не могу чего ждать от недефолтных.

никаких проблем не будет

Лучше придержи свои сказки о „никаких проблем” для других. Достаточно всего лишь какой-либо новой опции в новой версии софта чтобы начать разгребать проблемы, не говоря уже о других независящих от пользователя причинах. Например, у меня такое вылезло когда я попытался подкинуть конфиг виртуального хоста апача из squeeze в jessie.

кое-что уже после выхода джесси поправили

Когда это, например, планируется поправить?

h578b1bde ★☆ ()
Ответ на: комментарий от h578b1bde

Достаточно всего лишь какой-либо новой опции в новой версии софта

Release notes, motherfucker, do you read it?

Когда это, например, планируется поправить?


* Fix tests on deferred mpm switch. Add special casing for mpm_itk,
which is not an mpm anymore, despite the name. Closes: #789914
Closes: #791902
 — Stefan Fritsch <sf@debian.org> Sat, 28 Nov 2015 15:02:23 +0100
redgremlin ★★★★★ ()
Ответ на: комментарий от redgremlin

Release notes, motherfucker, do you read it?

Nope, it's too late.

28 Nov 2015

Тогда какого хрена я видел это на свежих установках в 2016 году?

h578b1bde ★☆ ()
Ответ на: комментарий от h578b1bde

Достаточно всего лишь какой-либо новой опции в новой версии софта чтобы начать разгребать проблемы

Плюсану и добавлю. Или всплывшего бага именно в вашей конфигурации софта. Или измененное поведение при тех же опциях. Причем подобную хрень можно получить даже просто при обновлении в рамках одного релиза. Я здесь уже 100500 раз писал, что любое обновление более или менее сложного софта, может за собой принести не хилый геморой. Да чего я, посмотрите сколько тем (в том числе и на багтрекерах), обновил софт версии N на версию N+M и теперь не работает.

anc ★★★★★ ()
Ответ на: комментарий от anc

Успешно обновился с Debian 6.0 до 8.7 на боевом Web-серваке. Нужен был OpenSSL, а для 6.0 был только OpenSSL 0.9.8o 01 Jun 2010 и только такой старый, а надо было минимум 1.0.2.

Обновлялся пошагово Squeeze-->Wheezy-->Jessie

#deb http://archive.debian.org/debian squeeze main contrib non-free

#deb http://mirror.yandex.ru/debian wheezy main contrib

deb http://mirror.yandex.ru/debian jessie main contrib

Проблемы всплыли в самописных модулях, так как автоматом обновился PHP 5.3.3-7 --> PHP 5.6.29-0

В остальном на VPS-ке всё ОК.

KokTis ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.